Files

File management operations

Get file by ID

get
Authorizations
Path parameters
idstringRequired

File ID

Responses
chevron-right
200

Returns the file details

application/json
idstringRequired

Unique identifier for the file

namestringOptional

Name of the file

fileNamestringRequired

Original file name

fileTypestringRequired

Type of the file (e.g., MIME type)

fileSizenumberRequired

Size of the file in bytes

urlstringRequired

Public URL of the file

createdAtstring · date-timeRequired

Timestamp when the file was created

updatedAtstring · date-timeRequired

Timestamp when the file was last updated

get
/api/file/{id}

Delete a file

delete
Authorizations
Path parameters
idstringRequired

File ID

Responses
delete
/api/file/{id}

No content

View/download file directly

get
Authorizations
Path parameters
idstringRequired

File ID

Responses
get
/api/file/{id}/view

No content

Last updated

Was this helpful?